body {overflow: hidden; background: #212121}
input {position: absolute; display: none}

* {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.menu {
  margin: 0 auto;
  position: absolute;
  top: 50%;
  left: 50%;
}

.btn {
  width: 50px;
  height: 50px;
  border-radius: 50px;
  position: absolute;
  overflow: hidden;
  cursor: pointer;
}


.material-icons.md-28 { font-size: 28px; color: #03A9F4 }
.material-icons.md-30 { font-size: 30px; color: #03A9F4 }
.material-icons.md-32 { font-size: 32px; color: #03a9f4 }
.material-icons.md-34 { font-size: 34px; color: #03A9F4 }
.material-icons.md-36 { font-size: 36px; color: #03a9f4 }


/*
@keyframes spin {
	from {
		transform: rotate(0deg);
	}
	to {
		transform: rotate(360deg);
	}
}

.spin {
	animation-name: spin;
	animation-duration: 800ms;
	animation-iteration-count: 1;
	animation-timing-function: linear;
}
*/

.spin {
	transform: rotate(360deg);
	transition: transform 0.8s;
}

.spin:active {
	transform: rotate(0deg);
	transition: 0s;
}


.btn {
  background: #ECEFF1;
  font-size: 15px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
  
  -webkit-transition: all 0.3s cubic-bezier(.25,.8,.25,1);
  transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}




.smartwatch-bg {
	width:  500px;
  height: 500px;
  border-radius: 50%;
  margin-left: -258px;
  margin-top: -258px;

  background-image: linear-gradient(to right, #EE0979 , #FF6A00);
  /*background: #ECEFF1; */
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
  
  -webkit-transition: all 0.3s cubic-bezier(.25,.8,.25,1);
  transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}


.btn:not(:first-child) {
  opacity: 0;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  z-index: 10;
  
  -webkit-transition: all 0.6s cubic-bezier(.87,-.41,.19,1.44);
  transition: all 0.6s cubic-bezier(.87,-.41,.19,1.44);
}

.btn:nth-child(2) {top:-35px;left:-35px;-webkit-transition-delay: 0s;transition-delay: 0s}
.btn:nth-child(3) {top:-35px;left:-35px;-webkit-transition-delay: 0.1s;transition-delay: 0.1s}
.btn:nth-child(4) {top:-35px;left:-35px;-webkit-transition-delay: 0.2s;;transition-delay: 0.2s}
.btn:nth-child(5) {top:-35px;left:-35px;-webkit-transition-delay: 0.3s;transition-delay: 0.3s}
.btn:nth-child(6) {top:-35px;left:-35px;-webkit-transition-delay: 0.4s;transition-delay: 0.4s}
.btn:nth-child(7) {top:-35px;left:-35px;-webkit-transition-delay: 0.5s;transition-delay: 0.5s}
.btn:nth-child(8) {top:-35px;left:-35px;-webkit-transition-delay: 0.6s;transition-delay: 0.6s}
.btn:nth-child(9) {top:-35px;left:-35px;-webkit-transition-delay: 0.7s;transition-delay: 0.7s}


/* top: -250px, left: 0px*/
 .smartwatch-main-panel[active=on] .btn:nth-child(2) {
  top:-285px;left:-35px;opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

/* top: -177px, left: 177px*/
.smartwatch-main-panel[active=on] .btn:nth-child(3) {
  top:-212px;left:142px;opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

/* top: 0px, left: 250px*/
.smartwatch-main-panel[active=on] .btn:nth-child(4) {
  top:-35px;left:215px;opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

/* top: 177px, left: 177px*/
.smartwatch-main-panel[active=on] .btn:nth-child(5) {
  top:142px;left:142px;opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

/* top: 250px, left: 0px*/
.smartwatch-main-panel[active=on] .btn:nth-child(6) {
  top:212px;left:-35px;opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

/* top: 177px, left: -177px*/
.smartwatch-main-panel[active=on] .btn:nth-child(7) {
  top:142px;left:-212px;opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

/* top: 0px, left: -250px*/
.smartwatch-main-panel[active=on] .btn:nth-child(8) {
  top:-35px;left:-285px;opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

/* top: -177px, left: -177px*/
.smartwatch-main-panel[active=on] .btn:nth-child(9) {
  top:-212px;left:-212px;opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

.menuBtn, .closeBtn {
  position: absolute;
  transition: all 0.3s ease;
}

.closeBtn {
  transform: translateY(50px);
  opacity: 0;
}

input#toggle:checked ~ #show-menu .btn .menuBtn {
  transform: translateY(-50px);
  opacity: 0;
}

input#toggle:checked ~ #show-menu .btn .closeBtn {
  transform: translateY(0px);
  opacity: 1;
}








.LED-button {
	font-size: 30px;
	color: green;
}

.LED-button.on {
	color: green;
}

.LED-button.off {
	color: red;
}




.smartwatch-bg .clock1 {
	overflow overflow: hidden;
  position: relative;
  width: 350px;
  height: 350px;
  border-radius: 100%;
}


.smartwatch-bg .clock1 .minute,
.smartwatch-bg .clock1 .hour {
  position: absolute;
  height: 140px;
  width: 6px;
  margin: auto;
  top: -140px;
  left: 0;
  bottom: 0;
  right: 0;
  background: black;
  transform-origin: bottom center;
  transform: rotate(0deg);
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.4);
  z-index: 1;
	border-radius: 4px;
}


.smartwatch-bg .clock1 .minute {
  position: absolute;
  height: 210px;
  width: 4px;
  top: -210px;
  left: 0;
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.4);
  transform: rotate(90deg);
	border-radius: 3px;
}


.smartwatch-bg .clock1 .second {
  position: absolute;
  height: 200px;
  width: 2px;
  margin: auto;
  top: -200px;
  left: 0;
  bottom: 0;
  right: 0;
  border-radius: 4px;
  background: rgba(255, 255, 255, 0.5);
  transform-origin: bottom center;
  transform: rotate(180deg);
  z-index: 1;
}


.smartwatch-bg .clock1 .dot {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  width: 12px;
  height: 12px;
  border-radius: 100px;
  background: white;
  border: 2px solid #1b1b1b;
  border-radius: 100px;
  margin: auto;
  z-index: 1;
}











.avatar-upload {
	position: relative;
  max-width: 400px;
  margin: 50px auto;
}


.avatar-upload .avatar-edit {
  position: absolute;
  right: 55px;
  z-index: 1;
  top: 10px;
}


.avatar-upload .avatar-edit input {
	display: none;
}


#imageUpload + label {
	display: inline-block;
  width: 46px;
 	height: 46px;
  margin-bottom: 0;
  border-radius: 100%;
  background: #FFFFFF;
	border: 1px solid transparent;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
  cursor: pointer;
  font-weight: normal;
  transition: all .2s ease-in-out;
	position: relative;
	top: 50px;
	left: 94px;
} 


#imageUpload + label:hover {
	background: #f1f1f1;
  border-color: #d6d6d6;
}


#imageUpload + label:after {
	content: "\f03e";
  font-family: 'Font Awesome 5 Free';
  color: #757575;
  position: absolute;
	top: 0;
  left: 0;
  right: 0;
  text-align: center;
  margin: auto;
	font-size: 30px;
}





#imageSubmit + label {
	display: inline-block;
  width: 46px;
 	height: 46px;
  margin-bottom: 0;
  border-radius: 100%;
  background: #FFFFFF;
	border: 1px solid transparent;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
  cursor: pointer;
  font-weight: normal;
  transition: all .2s ease-in-out;
	position: relative;
	top: 300px;
	left: -270px;
}



#imageSubmit + label:hover {
	background: #f1f1f1;
  border-color: #d6d6d6;
}


#imageSubmit + label:after {
	content: "\f0aa";
  font-family: 'Font Awesome 5 Free';
 	font-weight: 900; 
	color: #757575;
  position: absolute;
	top: 0;
  left: 0;
  right: 0;
  text-align: center;
  margin: auto;
	font-size: 30px;
}





.avatar-upload .avatar-preview {
	width: 400px;
  height: 400px;
  position: relative;
  border-radius: 100%;
  border: 6px solid #F8F8F8;
  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
} 


.avatar-upload .avatar-preview > div {
  width: 100%;
  height: 100%;
  border-radius: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}


.fitness-bg{
	background: white;
	border-radius: 50%;
	width: 400px;
	height: 400px;
}

.fitness-icon {
	position: absolute;
	background-image: url(/images/fitness2.png);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center center;
	width: 280px;
	height: 280px;
	margin-top: 60px;
	margin-left: 60px;
}

.fitness-info {
	position: absolute;
	width: 100px;
	height: 100px;
	margin-top: 267px;
	margin-left: 150px;
  font-family: Lato-Semibold, Lato; 
	font-size: 25px;
	text-align: center;
	color: #600979;
}

